baseURL = "/"
title = "federatief.datastelsel.nl"

# Language settings
contentDir = "content/nl"
defaultContentLanguage = "nl"
defaultContentLanguageInSubdir = false
# Useful when translating.
enableMissingTranslationPlaceholders = true

enableRobotsTXT = true

# Will give values to .Lastmod etc.
enableGitInfo = true

# Comment out to enable taxonomies in Docsy
# disableKinds = ["taxonomy", "taxonomyTerm"]

# You can add your own taxonomies
[taxonomies]
tag = "tags"
category = "categories"

[params.taxonomy]
# set taxonomyCloud = [] to hide taxonomy clouds
taxonomyCloud = ["tags", "categories"]

# If used, must have same length as taxonomyCloud
taxonomyCloudTitle = ["Tag Cloud", "Categories"]

# set taxonomyPageHeader = [] to hide taxonomies on the page headers
taxonomyPageHeader = ["tags", "categories"]


# Highlighting config
pygmentsCodeFences = true
pygmentsUseClasses = false
# Use the new Chroma Go highlighter in Hugo.
pygmentsUseClassic = false
#pygmentsOptions = "linenos=table"
# See https://help.farbox.com/pygments.html
pygmentsStyle = "tango"

# Configure how URLs look like per section.
[permalinks]
blog = "/:section/:year:month:day/:slug/"

# Image processing configuration.
[imaging]
resampleFilter = "CatmullRom"
quality = 75
anchor = "smart"

[services]
[services.googleAnalytics]
# Comment out the next line to disable GA tracking. Also disables the feature described in [params.ui.feedback].
# id = "UA-00000000-0"

# Language configuration

[languages]
[languages.nl]
languageName ="Nederlands"
contentDir = "content/nl"
[languages.nl.params]
title = "federatief.datastelsel.nl"
description = "De ontwikkeling van het federatief datastelsel van Nederland"
time_format_default = "02.01.2006"
time_format_blog = "02.01.2006"

[languages.en]
languageName ="English"
# Weight used for sorting.
weight = 1
[languages.en.params]
title = "federatief.datastelsel.nl"
description = "The development of the Federated Data Space of The Netherlands"

[markup]
  [markup.goldmark]
    [markup.goldmark.parser.attribute]
      block = true
    [markup.goldmark.renderer]
      unsafe = true
  [markup.highlight]
    # See a complete list of available styles at https://xyproto.github.io/splash/docs/all.html
    style = "tango"
    # Uncomment if you want your chosen highlight style used for code blocks without a specified language
    # guessSyntax = "true"

# Everything below this are Site Params

# Comment out if you don't want the "print entire section" link enabled.
[outputs]
section = ["HTML", "print", "RSS"]

[params]
copyright = "IBDS/FDS"
privacy_policy = "https://realisatieibds.pleio.nl/groups/view/3093c607-f2a9-4e36-b1de-e2afe3c87cea/communicatie-en-afbeeldingen/wiki/view/3171221b-614a-4698-a653-f8e29fbc40ea/privacyverklaring"

# First one is picked as the Twitter card image if not set on page.
# images = ["images/project-illustration.png"]

# Menu title if your navbar has a versions selector to access old versions of your site.
# This menu appears only if you have at least one [params.versions] set.
version_menu = "Releases"

# Flag used in the "version-banner" partial to decide whether to display a
# banner on every page indicating that this is an archived version of the docs.
# Set this flag to "true" if you want to display the banner.
archived_version = false

# The version number for the version of the docs represented in this doc set.
# Used in the "version-banner" partial to display a version number for the
# current doc set.
version = "0.0"

# A link to latest version of the docs. Used in the "version-banner" partial to
# point people to the main doc site.
url_latest_version = "https://gitlab.com/datastelsel.nl/ontwikkeling/ontwikkeling-website"

# Repository configuration (URLs for in-page links to opening issues and suggesting changes)
github_repo = "https://gitlab.com/datastelsel.nl/ontwikkeling/ontwikkeling-website"
# An optional link to a related project repo. For example, the sibling repository where your product code lives.
github_project_repo = "https://gitlab.com/datastelsel.nl/ontwikkeling/ontwikkeling-website"

# Specify a value here if your content directory is not in your repo's root directory
# github_subdir = ""

# Uncomment this if your GitHub repo does not have "main" as the default branch,
# or specify a new value if you want to reference another branch in your GitHub links
github_branch= "main"

# Google Custom Search Engine ID. Remove or comment out to disable search.
# gcs_engine_id = "d72aa9b2712488cc3"

# Enable Algolia DocSearch
algolia_docsearch = false

# Enable Lunr.js offline search
offlineSearch = false

# Enable syntax highlighting and copy buttons on code blocks with Prism
prism_syntax_highlighting = false

# User interface configuration
[params.ui]
#  Set to true to disable breadcrumb navigation.
breadcrumb_disable = false
# Set to true to disable the About link in the site footer
footer_about_disable = false
# Set to false if you don't want to display a logo (/assets/icons/logo.svg) in the top navbar
navbar_logo = true
# Set to true if you don't want the top navbar to be translucent when over a `block/cover`, like on the homepage.
navbar_translucent_over_cover_disable = false
# Enable to show the side bar menu in its compact state.
sidebar_menu_compact = true
# Set to true to hide the sidebar search box (the top nav search box will still be displayed if search is enabled)
sidebar_search_disable = true

# Adds a H2 section titled "Feedback" to the bottom of each doc. The responses are sent to Google Analytics as events.
# This feature depends on [services.googleAnalytics] and will be disabled if "services.googleAnalytics.id" is not set.
# If you want this feature, but occasionally need to remove the "Feedback" section from a single page,
# add "hide_feedback: true" to the page's front matter.
[params.ui.feedback]
enable = true
# The responses that the user sees after clicking "yes" (the page was helpful) or "no" (the page was not helpful).
yes = 'Glad to hear it! Please <a href="https://github.com/USERNAME/REPOSITORY/issues/new">tell us how we can improve</a>.'
no = 'Sorry to hear that. Please <a href="https://github.com/USERNAME/REPOSITORY/issues/new">tell us how we can improve</a>.'

# Adds a reading time to the top of each doc.
# If you want this feature, but occasionally need to remove the Reading time from a single page,
# add "hide_readingtime: true" to the page's front matter
[params.ui.readingtime]
enable = false

[params.links]
# End user relevant links. These will show up on left side of footer and in the community page if you have one.
[[params.links.user]]
  name = "Pleio"
  url = "https://realisatieibds.pleio.nl/"
  icon = "fa fa-globe"
  desc = "Hier vind je alle algemene informatie over het programma en waar elk deelteam mee bezig is. Hier staan alle documenten die al gereed zijn om openbaar gedeeld te worden. Hier vind je tevens informatie over het gehele programma."
[[params.links.user]]
  name ="LinkedIn"
  url = "https://www.linkedin.com/company/realisatie-ibds/"
  icon = "fab fa-linkedin"
  desc = "Hier worden de algemene berichten geplaatst over het programma Realisatie IBDS, zodat je weet op welke evenementen we staan, word je geïnformeerd over de laatste nieuwsbrieven en blijf je up-to-date over het laatste nieuws."
# Developer relevant links. These will show up on right side of footer and in the community page if you have one.
[[params.links.developer]]
  name = "Werkomgeving"
  url = "/docs/welkom/werkomgeving/"
  icon = "fa fa-code-fork"
  desc = "Lees meer over deze werkomgeving."
[[params.links.developer]]
  name = "GitLab"
  url = "https://gitlab.com/datastelsel.nl/ontwikkeling/ontwikkeling-website"
  icon = "fab fa-gitlab"
  desc = "Hier kun je zien wat er wordt ontwikkeld, maar kan je ook verzoeken doen om de inhoud aan te scherpen."
[[params.links.developer]]
  name = "Mattermost (via Digilab)"
  url = "https://digilab.overheid.nl/chat"
  icon = "fa fa-comments"
  desc = "kort cyclisch met elkaar in gesprek zijn is belangrijk om met elkaar te bouwen aan het federatief datastelsel. Via deze chat kun je met alle betrokken in contact komen!"

# hugo module configuration

[module]
  # uncomment line below for temporary local development of module
  # replacements = "github.com/google/docsy -> ../../docsy"
  [module.hugoVersion]
    extended = true
    min = "0.110.0"
  [[module.imports]]
    path = "github.com/google/docsy"
    disable = false
  [[module.imports]]
    path = "github.com/google/docsy/dependencies"
    disable = false
staticDir = ['static']
